summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2016-06-13 23:11:37 -0500
committerMatthias Maier <tamiko@gentoo.org>2016-06-13 23:11:37 -0500
commit726452395c2799258b777797156128e4302dafbf (patch)
treed64ab44cc62eda40158b7b52d1065b0fc064b895
parentnet-misc/spice-gtk: workaround access violation during configure, bug #581836 (diff)
downloadgentoo-726452395c2799258b777797156128e4302dafbf.tar.gz
gentoo-726452395c2799258b777797156128e4302dafbf.tar.bz2
gentoo-726452395c2799258b777797156128e4302dafbf.zip
app-emulation/spice: add use flag for lz4 support, avoid automagic; bug #582014
Package-Manager: portage-2.2.28
-rw-r--r--app-emulation/spice/metadata.xml1
-rw-r--r--app-emulation/spice/spice-0.13.1-r1.ebuild (renamed from app-emulation/spice/spice-0.13.1.ebuild)4
-rw-r--r--app-emulation/spice/spice-9999.ebuild6
3 files changed, 9 insertions, 2 deletions
diff --git a/app-emulation/spice/metadata.xml b/app-emulation/spice/metadata.xml
index bc1f503810c..acfc46a7c58 100644
--- a/app-emulation/spice/metadata.xml
+++ b/app-emulation/spice/metadata.xml
@@ -10,6 +10,7 @@
<name>Gentoo Virtualization Project</name>
</maintainer>
<use>
+ <flag name="lz4">Enable support for LZ4 compression using <pkg>app-arch/lz4</pkg></flag>
<flag name="smartcard">Enable smartcard remoting using <pkg>app-emulation/libcacard</pkg></flag>
</use>
</pkgmetadata>
diff --git a/app-emulation/spice/spice-0.13.1.ebuild b/app-emulation/spice/spice-0.13.1-r1.ebuild
index 46d50a86f10..be2c0c608cd 100644
--- a/app-emulation/spice/spice-0.13.1.ebuild
+++ b/app-emulation/spice/spice-0.13.1-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://spice-space.org/download/releases/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="libressl sasl smartcard static-libs"
+IUSE="libressl lz4 sasl smartcard static-libs"
# the libspice-server only uses the headers of libcacard
RDEPEND="
@@ -27,6 +27,7 @@ RDEPEND="
>=x11-libs/pixman-0.17.7[static-libs(+)?]
!libressl? ( dev-libs/openssl:0[static-libs(+)?] )
libressl? ( dev-libs/libressl[static-libs(+)?] )
+ lz4? ( app-arch/lz4 )
smartcard? ( >=app-emulation/libcacard-0.1.2 )
sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] )"
@@ -59,6 +60,7 @@ src_prepare() {
src_configure() {
econf \
$(use_enable static-libs static) \
+ $(use_enable lz4) \
$(use_with sasl) \
$(use_enable smartcard) \
--disable-gui
diff --git a/app-emulation/spice/spice-9999.ebuild b/app-emulation/spice/spice-9999.ebuild
index 93d4c7a4b0e..f93c735ded1 100644
--- a/app-emulation/spice/spice-9999.ebuild
+++ b/app-emulation/spice/spice-9999.ebuild
@@ -16,7 +16,7 @@ EGIT_REPO_URI="git://git.freedesktop.org/git/spice/spice"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS=""
-IUSE="libressl sasl smartcard static-libs"
+IUSE="libressl lz4 sasl smartcard static-libs"
RDEPEND="
>=dev-libs/glib-2.22:2[static-libs(+)?]
@@ -27,6 +27,7 @@ RDEPEND="
>=x11-libs/pixman-0.17.7[static-libs(+)?]
!libressl? ( dev-libs/openssl:0[static-libs(+)?] )
libressl? ( dev-libs/libressl[static-libs(+)?] )
+ lz4? ( app-arch/lz4 )
smartcard? ( >=app-emulation/libcacard-0.1.2 )
sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] )"
@@ -50,6 +51,8 @@ pkg_setup() {
}
src_prepare() {
+ epatch_user
+
eautoreconf
default
}
@@ -57,6 +60,7 @@ src_prepare() {
src_configure() {
econf \
$(use_enable static-libs static) \
+ $(use_enable lz4) \
$(use_with sasl) \
$(use_enable smartcard) \
--disable-gui